Build dynamic libraries, not static libraries.
--- Makefile.in.orig	1998-08-31 13:40:14.000000000 -0500
+++ Makefile.in	2021-04-15 16:49:59.000000000 -0500
@@ -67,10 +67,10 @@
 TCLTARGETS =	hfssh hfs
 TKTARGETS =	xhfs
 
-LIBHFS =	libhfs/libhfs.a
+LIBHFS =	libhfs/libhfs.dylib
 INCHFS =	libhfs/hfs.h
 
-LIBRSRC =	librsrc/librsrc.a
+LIBRSRC =	librsrc/librsrc.dylib
 INCRSRC =	librsrc/rsrc.h
 
 HFSUTIL =	hfsutil
--- libhfs/Makefile.in.orig	1998-11-02 16:08:51.000000000 -0600
+++ libhfs/Makefile.in	2021-04-15 16:52:09.000000000 -0500
@@ -60,7 +60,7 @@
 
 TARGETS =	$(HFSTARGET)
 
-HFSTARGET =	libhfs.a
+HFSTARGET =	libhfs.dylib
 HFSOBJS =	os.o data.o block.o low.o medium.o file.o btree.o node.o  \
 			record.o volume.o hfs.o version.o $(LIBOBJS)
 
@@ -72,7 +72,7 @@
 	@echo "No self-tests available."
 
 install ::
-	$(LIBINSTALL) libhfs.a "$(LIBDEST)/."
+	$(LIBINSTALL) $(HFSTARGET) "$(LIBDEST)/."
 	$(LIBINSTALL) hfs.h "$(INCDEST)/."
 
 again :: clean all
@@ -113,8 +113,7 @@
 ###############################################################################
 
 $(HFSTARGET): $(HFSOBJS)
-	$(AR) $@ $(HFSOBJS)
-	$(RANLIB) $@
+	$(CC) $(LDFLAGS) -dynamiclib -current_version 1.0.0 -compatibility_version 1.0.0 -install_name $(LIBDEST)/$@ -o $@ $(HFSOBJS)
 
 os.c: os/$(OS).c
 	rm -f $@
--- librsrc/Makefile.in.orig	1998-04-11 20:33:26.000000000 -0500
+++ librsrc/Makefile.in	2021-04-15 16:52:23.000000000 -0500
@@ -57,7 +57,7 @@
 
 TARGETS =	$(RSRCTARGET)
 
-RSRCTARGET =	librsrc.a
+RSRCTARGET =	librsrc.dylib
 RSRCOBJS =	data.o rsrc.o version.o $(LIBOBJS)
 
 ###############################################################################
@@ -68,7 +68,7 @@
 	@echo "No self-tests available."
 
 install ::
-	$(LIBINSTALL) librsrc.a "$(LIBDEST)/."
+	$(LIBINSTALL) $(RSRCTARGET) "$(LIBDEST)/."
 	$(LIBINSTALL) rsrc.h "$(INCDEST)/."
 
 again :: clean all
@@ -110,18 +110,17 @@
 ###############################################################################
 
 $(RSRCTARGET): $(RSRCOBJS)
-	$(AR) $@ $(RSRCOBJS)
-	$(RANLIB) $@
+	$(CC) $(LDFLAGS) -dynamiclib -current_version 1.0.0 -compatibility_version 1.0.0 -install_name $(LIBDEST)/$@ -o $@ $(RSRCOBJS)
 
 main.o:
 	$(CC) $(CFLAGS) -I. -I../libhfs -c main.c -o $@
 
-main: librsrc.a main.o
+main: $(RSRCTARGET) main.o
 	$(CC) $(LDFLAGS) -L. -L../libhfs main.o -lhfs -lrsrc -o $@
 
 ### DEPENDENCIES FOLLOW #######################################################
 
 data.o: data.c config.h data.h
-main.o: main.c /usr/local/include/hfs.h rsrc.h
+main.o: main.c hfs.h rsrc.h
 rsrc.o: rsrc.c config.h librsrc.h rsrc.h data.h
 version.o: version.c version.h
